from ase.lattice.surface import fcc111, add_adsorbate
from ase.visualize import view

import numpy as np
a0 = 4.218

system = fcc111('Au', a=a0, size=(10, 10, 5), orthogonal=True)
add_adsorbate(system, 'O', 1.37, 'fcc')
spos = system.get_scaled_positions()
Ospos = spos[-1]
spos[:, 0] += 0.5 - Ospos[0]
spos[:, 1] += 0.5 - Ospos[1]
system.set_scaled_positions(spos % 1.0)

view(system)
