import numpy as np
import pylab as pl

def s2a(s):
    return np.array(map(float, s.replace(',', '.').split()))

PtCO111top = s2a("""-2,3071
-1,6812
-1,1437
-1,1659
-1,1364
-1,1447
-1,1695""")
PtCOtopedge = s2a("""-2,3930
-1,8840
-1,7124
-1,7798
-1,6878
-1,6664
-1,7005""")
AuCO111top = s2a("""-0,6820
-0,2080
-0,0040
0,0000
0,0930
0,1300
0,0740""")
AuCOtopedge = s2a("""-0,7380
-0,3450
-0,3640
-0,3720
-0,2640
-0,3340
-0,3110""")
cluster_C = s2a("""5,0000
7,0000
9,0000
9,0000
9,0000
9,0000
9,0000""")


AuCOsurf = s2a("""0.09
-0.85
-0.67
-0.31
-0.15
-0.36""")
AuCOsurf_C = np.array([9, 3, 4, 7, 8, 7])

# 111, 100, 110, 111mono, 100mono
PtCOsurf = s2a("""-1,2250
-1,4579
-1,8316
-2,1030
-1,7872""")
PtCOsurf_C = s2a("""9,0000
8,0000
7,0000
3,0000
4,0000""")


def plotfit(X1, Y1):
    from scipy import polyfit, polyval
    P = polyfit(X1, Y1, 1)
    X = [2.5, 9.5]
    Y = polyval(P, X)
    pl.plot(X, Y, 'k--', lw=2)

mss = 12
msc = 11

plotfit(AuCOsurf_C, AuCOsurf)
plotfit(PtCOsurf_C, PtCOsurf)

pl.plot(PtCOsurf_C, PtCOsurf, 'bs', ms=mss, label='Pt surfaces')
pl.plot(cluster_C, PtCO111top, 'bo', ms=msc, label='Pt clusters')

    
pl.plot(AuCOsurf_C, AuCOsurf, 'rs', ms=mss, label='Au surfaces')
pl.plot(cluster_C, AuCO111top, 'ro', ms=msc, label='Au clusters')

pl.ylabel('Eads / eV')
pl.xlabel('Avg. neighbour coordination')
pl.legend(loc='best')

pl.show()
