#PBS -l nodes=8:ppn=8
#PBS -l walltime=13:0:0
#PBS -m ae
#PBS -o stdout.log
#PBS -e stderr.log

from ase.io import read
from gpaw import GPAW

system = read('geom.traj')
system.center(vacuum=5.5, axis=2)

calc = GPAW(xc='RPBE',
            h=0.175454,
            txt='gpaw.full.txt',
            kpts=(4, 4, 1),
            nbands=len(system) * 6,
            )

system.set_calculator(calc)
system.get_potential_energy()

system.pop(-1)
calc.set(txt='gpaw.clean.txt')
system.get_potential_energy()
