import os
#from glob import glob
from ase.io import read
import pylab as pl
from get_coordination import get_coordination

dirnames = 'banded l6 p3 p4 p5 p6 shifted xbanded'
moredirs = ['moreplateaus/%s' % d for d in dirnames.split()]


ref = '211surf/211_clean/gpaw.txt'

Eref = read(ref).get_potential_energy()
Oref = -2.08

fnames1 = ['211surf/211_Ofcc1/gpaw.txt',
           '211surf/211_Ofcc2/gpaw.txt',
           '211surf/211_Ohcp/gpaw.txt']

for fname in fnames1:
    system = read(fname)
    r = list(get_coordination(system))
    assert len(r) == 1
    nn = r[0][-1]
    C = float(sum(nn)) / len(nn)
    E = system.get_potential_energy() - Eref - Oref
    pl.plot([C], [E], 'ro')

#moredirs = glob('moreplateaus/{banded,l6,p3,p4,p5,p6,shifted,xbanded}')
for dirname in moredirs:
    S1 = read('%s/gpaw.clean.txt' % dirname)
    S2 = read('%s/gpaw.full.txt' % dirname)
    print S1
    print S2
    try:
        E1 = S1.get_potential_energy()
        E2 = S2.get_potential_energy()
    except RuntimeError:
        continue
    r = list(get_coordination(S2))
    nn = r[0][-1]
    C = float(sum(nn)) / len(nn)
    E = E2 - E1 - Oref
    pl.plot(C, E, 'bo')
pl.show()

#os.system('get_coordination.py 211surf/*/*.txt > coordinations211.txt')
#open('coordinations211.txt')
#import pylab as pl
